* Wed May 19 2010 Dan Walsh <dwalsh@redhat.com> 2.0.82-20
- Fixes from upstream for sandbox command
This commit is contained in:
parent
ea81388930
commit
d7683056ef
@ -1594,7 +1594,7 @@ diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po
|
||||
+relabel:
|
||||
diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po -N -u -r nsapolicycoreutils/sandbox/sandbox policycoreutils-2.0.82/sandbox/sandbox
|
||||
--- nsapolicycoreutils/sandbox/sandbox 1969-12-31 19:00:00.000000000 -0500
|
||||
+++ policycoreutils-2.0.82/sandbox/sandbox 2010-05-19 13:57:42.000000000 -0400
|
||||
+++ policycoreutils-2.0.82/sandbox/sandbox 2010-05-19 15:44:55.000000000 -0400
|
||||
@@ -0,0 +1,430 @@
|
||||
+#! /usr/bin/python -E
|
||||
+# Authors: Dan Walsh <dwalsh@redhat.com>
|
||||
@ -1970,12 +1970,12 @@ diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po
|
||||
+
|
||||
+ self.__setup_sandboxrc(self.__options.wm)
|
||||
+
|
||||
+ cmds = ('/usr/sbin/seunshare -t "%s" -h "%s" -- %s /usr/share/sandbox/sandboxX.sh' % (self.__tmpdir, self.__homedir, self.__execcon)).split()
|
||||
+ cmds = [ '/usr/sbin/seunshare', "-t", self.__tmpdir, "-h", self.__homedir, "--", self.__execcon, "/usr/share/sandbox/sandboxX.sh" ]
|
||||
+ rc = subprocess.Popen(cmds).wait()
|
||||
+ return rc
|
||||
+
|
||||
+ if self.__mount:
|
||||
+ cmds = ('/usr/sbin/seunshare -t "%s" -h "%s" -- %s ' % (self.__tmpdir, self.__homedir, self.__execcon)).split()+self.__paths
|
||||
+ cmds = [ '/usr/sbin/seunshare', "-t", self.__tmpdir, "-h", self.__homedir, "--", self.__execcon ] + self.__paths
|
||||
+ rc = subprocess.Popen(cmds).wait()
|
||||
+ return rc
|
||||
+
|
||||
@ -2173,7 +2173,7 @@ diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po
|
||||
+esac
|
||||
diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po -N -u -r nsapolicycoreutils/sandbox/sandboxX.sh policycoreutils-2.0.82/sandbox/sandboxX.sh
|
||||
--- nsapolicycoreutils/sandbox/sandboxX.sh 1969-12-31 19:00:00.000000000 -0500
|
||||
+++ policycoreutils-2.0.82/sandbox/sandboxX.sh 2010-04-28 17:12:19.000000000 -0400
|
||||
+++ policycoreutils-2.0.82/sandbox/sandboxX.sh 2010-05-19 15:36:19.000000000 -0400
|
||||
@@ -0,0 +1,15 @@
|
||||
+#!/bin/bash
|
||||
+context=`id -Z | secon -t -l -P`
|
||||
@ -2184,7 +2184,7 @@ diff --exclude-from=exclude --exclude=sepolgen-1.0.23 --exclude=gui --exclude=po
|
||||
+
|
||||
+(/usr/bin/Xephyr -title "$TITLE" -terminate -screen $SCREENSIZE -displayfd 5 5>&1 2>/dev/null) | while read D; do
|
||||
+ export DISPLAY=:$D
|
||||
+ python -c 'import gtk, os; os.system("%s/.sandboxrc" % os.environ["HOME"])'
|
||||
+ python -c 'import gtk, os, commands; commands.getstatusoutput("%s/.sandboxrc" % os.environ["HOME"])'
|
||||
+ export EXITCODE=$?
|
||||
+ kill -HUP 0
|
||||
+ break
|
||||
|
@ -7,7 +7,7 @@
|
||||
Summary: SELinux policy core utilities
|
||||
Name: policycoreutils
|
||||
Version: 2.0.82
|
||||
Release: 19%{?dist}
|
||||
Release: 20%{?dist}
|
||||
License: GPLv2+
|
||||
Group: System Environment/Base
|
||||
Source: http://www.nsa.gov/selinux/archives/policycoreutils-%{version}.tgz
|
||||
@ -307,7 +307,7 @@ fi
|
||||
exit 0
|
||||
|
||||
%changelog
|
||||
* Wed May 19 2010 Dan Walsh <dwalsh@redhat.com> 2.0.82-19
|
||||
* Wed May 19 2010 Dan Walsh <dwalsh@redhat.com> 2.0.82-20
|
||||
- Fixes from upstream for sandbox command
|
||||
|
||||
* Thu May 13 2010 Dan Walsh <dwalsh@redhat.com> 2.0.82-18
|
||||
|
Loading…
Reference in New Issue
Block a user